Subject: [manet] NHDP Security Threats

From: Abdussalam Baryun <[email-masked]>
Date: Sat, 14 Jul 2012 12:53:03 +0200

Hi Ulrich,
------------------------------------------------------------------------------------------------------
Regarding NHDP security documents:
[nhdp-threats] :  <draft-ietf-manet-nhdp-sec-threats-00>, work in progress
[nhdp-sec]      :  <draft-ietf-manet-nhdp-sec-02>, work in progress
------------------------------------------------------------------------------------------------------

I RECOMMEND that the draft [nhdp-threats] includes [nhdp-sec] in its
normative references and to include abstract information of
discussions [1- 3] into [nhdp-threats] and/or [nhdp-sec].

[1] http://www.ietf.org/mail-archive/web/manet/current/msg12897.html
[2] http://www.ietf.org/mail-archive/web/manet/current/msg12935.html
[3] http://www.ietf.org/mail-archive/web/manet/current/msg13170.html

Best Regards

Abdussalam Baryun
University of Glamorgan, UK

++++++++++++++++++++++++++++++++++++++++++++++++++++
On 7/14/12, Abdussalam Baryun <[email-masked]> wrote:
> Hi Ulrich,
>
> Please note that I don't mind your approach in <draft-nhdp-sec>  (so I
> am not against, but abstained), I presented my comments more to
> support another participant opinion and showing my preferance, but I
> will need to study the matter more further to see how I can use NHDP.
> Thanking you,
>
> Regards
> Abdussalam Baryun
> ==================
+++++++++++++++++++++++++++++++++++++++++++++++++++++

To: ietf at jiaziyi.com
Subject: Re: [manet] On the scope of NHDP-sec-threats
From: Abdussalam Baryun <abdussalambaryun at gmail.com>
Date: Wed, 16 May 2012 13:59:31 +0200

> Hi
>
>>In the Paris IETF, we had lots of valuable comments on the nhdp-sec-threats
>> >document, and it was adopted as wg document.
>>In the discussion, the issue concerned most is the scope of the document:
>> should >we include the common attacks for networks, and the interaction
>> with protocols >using NHDP (OLSRv2, SMF, ...).
>
> In general, both common and interaction attacks need to be documented
> per protocol, it is more useful to have the scope of protocol's
> vulnerability without excluding common network attacks and issues. Any
> additional attacks should be considered, otherwise the document scope
> section should specify if it excludes something.
>
>>The current revision of the document also includes a section for the
>> impacts on >protocols using NHDP. The rationale is that, as a neighbor
>> discovery protocol, >NHDP is used in combination with other protocols most
>> of the time. Therefore, the >document describes how the those protocols
>> might be disrupted by the >misbehavior of NHDP (in common sense, such as
>> MPR calculation, data sinkhole, >etc. ). If we are going to produce more
>> threats documents in the future, there is no >need to worry about those
>> common ones in NHDP (for example, we probably don't >want to discuss the
>> threats in MPR selection in both SMF-threats and OLSRv2->threats).
>
> Maybe you mean only threats-documents that use NHDP, so they need to
> refer to this NHDP-sec-threats document, but if a protocol is not
> using NHDP, it is important that its threat document scope includes
> all attacks/threats possibilities.
>
> Abdussalam Baryun
> University of Glamorgan, UK.
>